/*
 * xlog - GTK+ logging program for amateur radio operators
 * Copyright (C) 2001-2003 Joop Stakenborg <pa4tu@amsat.org>
 *
 * This program is free oftware; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * callbacks_otherdialogs.h
 */

/* callbacks generated by glade for all the dialogs except the preferences and print dialog */

/* about dialog */
void on_aboutbutton_clicked (GtkButton * button, gpointer user_data);

/* setup dialog */
void on_setupbutton_clicked (GtkButton * button, gpointer user_data);
gboolean on_setupdialog_delete_event (GtkWidget * widget, GdkEvent * event,
				      gpointer user_data);

/* save dialog */
void on_saveokbutton_clicked (GtkButton * button, gpointer user_data);
void on_savecancelbutton_clicked (GtkButton * button, gpointer user_data);
gboolean on_savedialog_delete_event (GtkWidget * widget, GdkEvent * event,
				     gpointer user_data);

/* search dialog */
void on_searchokbutton_clicked (GtkButton * button, gpointer user_data);
void on_searchcancelbutton_clicked (GtkButton * button, gpointer user_data);
void on_searchcomboentry_changed (GtkEditable * editable, gpointer user_data);
void on_searchcheckbutton_toggled (GtkToggleButton * togglebutton,
				   gpointer user_data);
gboolean on_searchdialog_delete_event (GtkWidget * widget, GdkEvent * event,
				       gpointer user_data);

/* search result dialog */
void on_searchresultokbutton_clicked (GtkButton * button, gpointer user_data);

/* new log dialog */
void on_newlogokbutton_clicked (GtkButton * button, gpointer user_data);
void on_newlogcancelbutton_clicked (GtkButton * button, gpointer user_data);
gboolean on_newlogdialog_delete_event (GtkWidget * widget, GdkEvent * event,
				       gpointer user_data);

/* file selection dialog */
gboolean on_fileselection_delete_event (GtkWidget * widget, GdkEvent * event,
					gpointer user_data);
void on_fileselection_ok_button_clicked (GtkButton * button,
					 gpointer user_data);
void on_fileselection_cancel_button_clicked (GtkButton * button,
					     gpointer user_data);

/* log editor */
void on_logeditorokbutton_clicked (GtkButton * button, gpointer user_data);
void on_logeditorcancelbutton_clicked (GtkButton * button,
				       gpointer user_data);
gboolean on_logeditorwindow_delete_event (GtkWidget * widget,
					  GdkEvent * event,
					  gpointer user_data);

/* close dialog */
gboolean on_closedialog_delete_event (GtkWidget * widget, GdkEvent * event,
				      gpointer user_data);
void on_closeokbutton_clicked (GtkButton * button, gpointer user_data);
void on_closecancelbutton_clicked (GtkButton * button, gpointer user_data);

/* save as dialog */
gboolean on_saveasdialog_delete_event (GtkWidget * widget, GdkEvent * event,
				       gpointer user_data);
void on_saveasok_button_clicked (GtkButton * button, gpointer user_data);
void on_saveas_cancel_button_clicked (GtkButton * button, gpointer user_data);

/* dupecheck dialog */
gboolean on_dupecheckdialog_delete_event (GtkWidget * widget,
					  GdkEvent * event,
					  gpointer user_data);
void on_dupecheckokbutton_clicked (GtkButton * button, gpointer user_data);
void on_dupecheckcancelbutton_clicked (GtkButton * button,
				       gpointer user_data);

/* dupelist dialog */
void on_duperesultclist_select_row (GtkCList * clist, gint row, gint column,
				    GdkEvent * event, gpointer user_data);
void on_dupelistokbutton_clicked (GtkButton * button, gpointer user_data);

/* duperesult dialog */
gboolean on_duperesultdialog_delete_event (GtkWidget * widget,
					   GdkEvent * event,
					   gpointer user_data);
void on_duperesultdialogokbutton_clicked (GtkButton * button,
					  gpointer user_data);

/* save as warning dialog */
gboolean on_savewarningdialog_delete_event (GtkWidget * widget,
					    GdkEvent * event,
					    gpointer user_data);
void on_savewarningokbutton_clicked (GtkButton * button, gpointer user_data);
void on_savewarningcancelbutton_clicked (GtkButton * button,
					 gpointer user_data);

/* defaults dialog */
gboolean on_defaultsdialog_delete_event (GtkWidget * widget, GdkEvent * event,
					 gpointer user_data);
void on_defaultsokbutton_clicked (GtkButton * button, gpointer user_data);
void on_defaultscancelbutton_clicked (GtkButton * button, gpointer user_data);

/* worked B4 dialog */
void on_b4clist_select_row (GtkCList * clist, gint row, gint column,
			    GdkEvent * event, gpointer user_data);
void on_b4okbutton_clicked (GtkButton * button, gpointer user_data);

/* dialogs dialog */
gboolean on_dialogsdialog_delete_event (GtkWidget *widget, GdkEvent *event,
                                          gpointer user_data);
void on_dialogsokbutton_clicked(GtkButton * button, gpointer user_data);
void on_dialogscancelbutton_clicked(GtkButton * button, gpointer user_data);

/* end of file */
